diff --git a/src/backend/parser/gram.y b/src/backend/parser/gram.y
new file mode 100644
index ab3538a..5e32541
*** a/src/backend/parser/gram.y
--- b/src/backend/parser/gram.y
*************** static FuncCall *
*** 13404,13419 ****
  makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
  {
  	FuncCall *n;
! 	if (list_length(largs) == 1)
! 		largs = lappend(largs, largs);
! 	else if (list_length(largs) != 2)
  		ereport(ERROR,
  				(errcode(ERRCODE_SYNTAX_ERROR),
  				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
  				 parser_errposition(location)));
! 	if (list_length(rargs) == 1)
! 		rargs = lappend(rargs, rargs);
! 	else if (list_length(rargs) != 2)
  		ereport(ERROR,
  				(errcode(ERRCODE_SYNTAX_ERROR),
  				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
--- 13404,13415 ----
  makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
  {
  	FuncCall *n;
! 	if (list_length(largs) != 2)
  		ereport(ERROR,
  				(errcode(ERRCODE_SYNTAX_ERROR),
  				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
  				 parser_errposition(location)));
! 	if (list_length(rargs) != 2)
  		ereport(ERROR,
  				(errcode(ERRCODE_SYNTAX_ERROR),
  				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
